<?php
$csrfCheck = $func->csrfVerify();
if(isset($_POST['add']) && $csrfCheck == TRUE) {
    
	$title = filter_var($_POST['title'], FILTER_SANITIZE_STRING);
	$url = $func->validUrl(trim($_POST['url']));
	
	$timers = filter_var($_POST['timer'], FILTER_VALIDATE_INT);
	$wind = filter_var($_POST['wind'], FILTER_VALIDATE_INT);
	$vip = filter_var($_POST['vip'], FILTER_VALIDATE_INT);
	$reply = filter_var($_POST['reply'], FILTER_VALIDATE_INT);
	$time = time();

	if ($title === FALSE) {
		$data['error'] = 'Неверно указано название!';
		$data['id'] = 'title';
	}
	if ($url === FALSE && empty($data)) {
		$data['error'] = 'Неверно указана ссылка!';
		$data['id'] = 'url';
	}
	if (mb_strlen($title) > 65) {
		$data['error'] = 'В поле Названия можно написать только 65 символов!';
		$data['id'] = '';
	}
	if (strlen($url) > 255) {
		$data['error'] = 'В поле URL можно написать только 255 символов!';
		$data['id'] = '';
	}
	if ($timers === FALSE || $wind === FALSE || $vip === FALSE || $reply === FALSE && empty($data)) {
		$data['error'] = 'Не удалось определить значение!';
		$data['id'] = '';
	}
	if (intval($vip > 1) || intval($wind > 1) || intval($reply > 1)) {
		$data['error'] = 'Такого значения не существует!';
		$data['id'] = '';
	}
	if (!empty($data)) {
		$data['status'] = 'error';
		$data['title'] = 'Ошибка';
		$data['redirect'] = '';
	}

	if (empty($data)) {
	$surf = $db->query("SELECT * FROM `db_surf_config` WHERE id = 1")->fetchArray();

	$timer = isset($_POST['timer']) ? (int)$_POST['timer'] : $surf['timer'];
	$timerArr = array($timer, $timer*2, $timer*3, $timer*4, $timer*5,$timer*6);

	if ($timer == 10) { $selTimer = $timerArr[0]; $buyTimer += $surf['timer_pay']; } 
	if ($timer == 20) { $selTimer = $timerArr[0]; $buyTimer += ($surf['timer_pay'] * 2); } 
	if ($timer == 30) { $selTimer = $timerArr[0]; $buyTimer += ($surf['timer_pay'] * 3); }
	if ($timer == 40) { $selTimer = $timerArr[0]; $buyTimer += ($surf['timer_pay'] * 4); }
	if ($timer == 50) { $selTimer = $timerArr[0]; $buyTimer += ($surf['timer_pay'] * 5); }
	if ($timer == 60) { $selTimer = $timerArr[0]; $buyTimer += ($surf['timer_pay'] * 6); }

	$priceTimer = number_format($buyTimer, 6, '.', ''); // Цена таймера
	$timerAd = $selTimer; // Таймер

	if ($wind == 1) { $priceWind = $surf['wind']; } else { $priceWind = 0.00; }
	if ($vip == 1) { $priceVip = $surf['vip']; } else { $priceVip = 0.00; }
	if ($reply == 1) { $period = 12; } else { $period = 24; }

	$priceAd = $surf['price_click']+$priceTimer+$priceWind+$priceVip; // Цена рекламодателю
	$perAd = $surf['per_click']+$priceTimer+$priceWind; // Цена исполнителю

	$db->query("INSERT INTO db_surf (uid, title, url, timer, wind, vip, reply, price_click, per_click, date_add, status) VALUES (?,?,?,?,?,?,?,?,?,?,?)",$uid,$title,$url,$timerAd,$wind,$vip,$period,$priceAd,$perAd,$time,'2');

	$data['status'] = 'success';
	$data['title'] = 'Успешно';
	$data['error'] = 'Вы успешно добавили ссылку!';
	$data['redirect'] = '/user/surf/links';
	}
} else {
	$data['status'] = 'error';
	$data['title'] = 'Ошибка';
	$data['error'] = 'Ошибка данных';
	$data['redirect'] = '';
}
echo json_encode($data);