<?php

$protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? 'https://' : 'http://';
define('BASE_URL', "{$GLOBALS['protocol']}{$_SERVER['SERVER_NAME']}/");
unset($protocol);

require_once(F.'core/mav/Task_model.php');


if(empty($pg->segment[2])){
	$opt['title'] = 'Задания';
	$opt['description'] = 'Выполняйте короткие задания и зарабатывайте деньги';
    mav_task();
}
elseif($pg->segment[2] == 'user'){
	$opt['title'] = 'Задания';
	$opt['description'] = 'Выполняйте короткие задания и зарабатывайте деньги';
    mav_task_user();
}
elseif($pg->segment[2] == 'blok'){
	$opt['title'] = 'Задания';
	$opt['description'] = 'Выполняйте короткие задания и зарабатывайте деньги';
    mav_task_blok();
}
elseif($pg->segment[2] == 'cat'){
	$opt['title'] = 'Задания';
	$opt['description'] = 'Выполняйте короткие задания и зарабатывайте деньги';
    mav_task_cat();
}
elseif($pg->segment[2] == 'complaints'){
	$opt['title'] = 'Задания';
	$opt['description'] = 'Выполняйте короткие задания и зарабатывайте деньги';
    mav_task_complaints();
}
elseif($pg->segment[2] == 'vip'){
	$opt['title'] = 'Задания';
	$opt['description'] = 'Выполняйте короткие задания и зарабатывайте деньги';
    mav_task_vip();
}


function mav_task()
{
	$dir = F."pages/{$GLOBALS['adm']}/mav/";
	$url = BASE_URL.$GLOBALS['adm'].'/mav_task';
	$r_m = new Task_model;

	$view = $dir.'task_items.php';

	$dat = array();
	$aj = isset($_POST['aj']) ? TRUE : FALSE;
	$dat['feed'] = $r_m->form_redirect();
    $dat['Cats'] = $r_m->GetsCat();
	/***********************up_ins***************************/
        if(isset($_POST['show_item'])){
            if(!empty($_POST['show_item'])){
                $t = $r_m->GetByID($_POST['show_item']);
                if(!empty($t)){
	                $ar = $t;
	                $ar['r_m'] = &$r_m;
                    $ar['add'] = FALSE;
                    $ar['Cats'] = &$dat['Cats'];
                    $r_m->views(F.'pages/user/mav/rtask_item_view.php', $ar);
                }
            }                
            die();
        }
        if(isset($_POST['Approved_up'],$_POST['ItemId'])){
            if($r_m->Update(array('Id'=>$_POST['ItemId'],'Approved'=>$_POST['Approved_up']),TRUE))
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-success">Данные успешно обновленны!</div>');
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
        if(isset($_POST['Update'])){
            $ar = $_POST;
            $ar['Id'] = $_POST['Update'];
            $ar['Refer'] = (!empty($_POST['Refer'])) ? 1 : 0;
            $ar['Partner'] = (!empty($_POST['Partner'])) ? 1 : 0;
            $ar['Active'] = empty($ar['Active']) ? 0 : 1;
            if($r_m->Update($ar,TRUE)){
                $dat['feed'] = '<div class="alert alert-success">Данные успешно обновленны!</div>';                    
                $r_m->form_redirect_send($dat['feed']);
            }
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
        elseif(isset($_POST['DeletItem'])){
            if($r_m->Delete($_POST['DeletItem'],TRUE))
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-success">Данные успешно обновленны!</div>');
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
        if(isset($_POST['Kom_up'],$_POST['ItemId'])){
            if($r_m->Update(array('Id'=>$_POST['ItemId'],'ApprovedComm'=>$_POST['Kom_up']),TRUE))
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-success">Данные успешно обновленны!</div>');
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
        elseif(isset($_POST['Blok_del'])){
            if($r_m->DeletUBlok($_POST['Blok_del']))
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-success">Данные успешно обновленны!</div>');
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
        elseif(isset($_POST['Blok_add'],$_POST['Comm'])){
            if($r_m->InsertUBlok($_POST['Blok_add'],$_POST['Comm']))
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-success">Данные успешно обновленны!</div>');
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
	/************************************************************************/
		$url_build = array();
	/**************Фильтр выборки****************/
		$filtr = array();
		if(!empty($_POST['UserId']))
			$filtr['UserId'] = (int)($_POST['UserId']);
		elseif(!empty($_GET['UserId']) && empty($_POST['aj']))
			$filtr['UserId'] = (int)($_GET['UserId']);
		if(!empty($_POST['Id']))
			$filtr['Id'] = (int)($_POST['Id']);
		elseif(!empty($_GET['Id']) && empty($_POST['aj']))
			$filtr['Id'] = (int)($_GET['Id']);

		if(isset($_POST['Approved']) && strlen($_POST['Approved']) > 0)
			$filtr['Approved'] = (int)($_POST['Approved']);
		elseif(isset($_GET['Approved']) && strlen($_GET['Approved']) > 0 && empty($_POST['aj']))
			$filtr['Approved'] = (int)($_GET['Approved']);

		if(!empty($_POST['s']))
			$filtr['s'] = $_POST['s'];
		elseif(!empty($_GET['s']) && empty($_POST['aj']))
			$filtr['s'] = $_GET['s'];

		$url_build = $filtr;
		$filtr['adm'] = TRUE;
	/**************Пагинация***********************/
		$pagevis = 30;
		$startpag = 1;
		if(isset($_POST['startpag']))
			$startpag = (int)$_POST['startpag'];
		elseif(isset($_GET['startpag']) && empty($_POST['aj'])) 
			$startpag = (int)$_GET['startpag'];
		if(!$startpag)
			$startpag = 1;
		elseif($startpag > 1)
			$url_build['startpag'] = $startpag;
		$dat['startpag'] = $startpag;
		$startpag = ($startpag-1)*$pagevis;
	/**************Сортировка**********************/
		$dat['sort'] = '';
		if(isset($_POST['sort']))
			$dat['sort'] = $_POST['sort'];
		elseif (isset($_GET['sort']) && empty($_POST['aj'])) 
			$dat['sort'] = $_GET['sort'];
		if(!empty($dat['sort']))
			$url_build['sort'] = $dat['sort'];
	/**********************************/
		$dat['items'] = $r_m->Gets($filtr,$startpag, $pagevis, $dat['sort']);
		$dat['pager'] = ($dat['items']->count > $pagevis) ? $r_m->getpager($startpag,$pagevis,$dat['items']->count, '', 'pager') : '';
		$dat['url_build'] = empty($url_build) ? $url : $url.'?'.urldecode(http_build_query($url_build));
		$dat['filtr'] = $filtr;
		unset($filtr,$url_build,$startpag);
		$dat['aj'] = $aj;
		$dat['r_m'] = $r_m;
	/**************************************************/
    $r_m->views($view, $dat);
    if(!empty($aj))
    	die();
}
function mav_task_user()
{
	$dir = F."pages/{$GLOBALS['adm']}/mav/";
	$url = BASE_URL.$GLOBALS['adm'].'/mav_task/user';

	$r_m = new Task_model;

	$view = $dir.'task_users.php';
	$dat = array('task_url'=>BASE_URL.$GLOBALS['adm'].'/mav_task');
	$data = array();
	$aj = isset($_POST['aj']) ? TRUE : FALSE;
	$dat['feed'] = $r_m->form_redirect();
	/***********************up_ins***************************/
        if(isset($_POST['show_item'])){
            if(!empty($_POST['show_item'])){
                $t = $r_m->GetByIDU($_POST['show_item']);
                if(!empty($t)){
                    $ar = $t;
                    $ar['add'] = FALSE;
                    $ar['task_url'] = BASE_URL.$GLOBALS['adm'].'/mav_task';
            		$ar['r_m'] = &$r_m;
                    $r_m->views($dir.'task_users_item.php', $ar);
                }
            }                
            die();
        }
        elseif(isset($_POST['Blok_del'])){
            if($r_m->DeletUBlok($_POST['Blok_del']))
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-success">Данные успешно обновленны!</div>');
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
        elseif(isset($_POST['Blok_add'],$_POST['Comm'])){
            if($r_m->InsertUBlok($_POST['Blok_add'],$_POST['Comm']))
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-success">Данные успешно обновленны!</div>');
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
        elseif(isset($_POST['blok'])){
            $it = $r_m->GetByIDU_r($_POST['blok']);
            if(!empty($it)){
                if($r_m->UpdateU(array(
                        'Id' => $it['Id'],
                        'Status' => 7,
                        'BlokMess' => 'Заблокированно администратором сайта',
                        'OkDate'=>time(),
                    ),TRUE)){
                    $r_m->Update(array('Id' => $it['TaskId'], 'Balans' => $it['TaskBalans'] + $it['AmountPer']),TRUE);
                }
            }
        }
	/************************************************************************/
		$url_build = array();
	/**************Фильтр выборки****************/
		$filtr = array();
		if(!empty($_POST['UserId']))
			$filtr['UserId'] = (int)($_POST['UserId']);
		elseif(!empty($_GET['UserId']) && empty($_POST['aj']))
			$filtr['UserId'] = (int)($_GET['UserId']);
		if(!empty($_POST['Id']))
			$filtr['Id'] = (int)($_POST['Id']);
		elseif(!empty($_GET['Id']) && empty($_POST['aj']))
			$filtr['Id'] = (int)($_GET['Id']);

		if(isset($_POST['Status']) && strlen($_POST['Status']) > 0)
			$filtr['Status'] = (int)($_POST['Status']);
		elseif(isset($_GET['Status']) && strlen($_GET['Status']) > 0 && empty($_POST['aj']))
			$filtr['Status'] = (int)($_GET['Status']);

		if(!empty($_POST['TaskId']))
			$filtr['TaskId'] = (int)($_POST['TaskId']);
		elseif(!empty($_GET['TaskId']) && empty($_POST['aj']))
			$filtr['TaskId'] = (int)($_GET['TaskId']);
		


		$url_build = $filtr;
		$filtr['adm'] = TRUE;
	/**************Пагинация***********************/
		$pagevis = 30;
		$startpag = 1;
		if(isset($_POST['startpag']))
			$startpag = (int)$_POST['startpag'];
		elseif(isset($_GET['startpag']) && empty($_POST['aj'])) 
			$startpag = (int)$_GET['startpag'];
		if(!$startpag)
			$startpag = 1;
		elseif($startpag > 1)
			$url_build['startpag'] = $startpag;
		$dat['startpag'] = $startpag;
		$startpag = ($startpag-1)*$pagevis;
	/**************Сортировка**********************/
		$dat['sort'] = '';
		if(isset($_POST['sort']))
			$dat['sort'] = $_POST['sort'];
		elseif (isset($_GET['sort']) && empty($_POST['aj'])) 
			$dat['sort'] = $_GET['sort'];
		if(!empty($dat['sort']))
			$url_build['sort'] = $dat['sort'];
	/**********************************/
		$dat['items'] = $r_m->GetsU($filtr,$startpag, $pagevis, $dat['sort']);
		$dat['pager'] = ($dat['items']->count > $pagevis) ? $r_m->getpager($startpag,$pagevis,$dat['items']->count, '', 'pager') : '';
		$dat['url_build'] = empty($url_build) ? $url : $url.'?'.urldecode(http_build_query($url_build));
		$dat['filtr'] = $filtr;
		unset($filtr,$url_build,$startpag);
		$dat['aj'] = $aj;
		$dat['r_m'] = $r_m;
	/**************************************************/
	$r_m->views($view, $dat);
    if(!empty($aj))
    	die();
}
function mav_task_blok()
{
	$dir = F."pages/{$GLOBALS['adm']}/mav/";
	$url = BASE_URL.$GLOBALS['adm'].'/mav_task_blok';
	$r_m = new Task_model;

	$view = $dir.'task_items_blok.php';
	$dat = array();
	$aj = isset($_POST['aj']) ? TRUE : FALSE;
	$dat['feed'] = $r_m->form_redirect();
	/***********************up_ins***************************/
        if(isset($_POST['Blok_up'])){
            if($r_m->DeletUBlok($_POST['Blok_up']))
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-success">Данные успешно обновленны!</div>');
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
	/************************************************************************/
		$url_build = array();
	/**************Фильтр выборки****************/
		$filtr = array();
		if(!empty($_POST['UserId']))
			$filtr['UserId'] = (int)($_POST['UserId']);
		elseif(!empty($_GET['UserId']) && empty($_POST['aj']))
			$filtr['UserId'] = (int)($_GET['UserId']);

		$url_build = $filtr;
		$filtr['adm'] = TRUE;
	/**************Пагинация***********************/
		$pagevis = 30;
		$startpag = 1;
		if(isset($_POST['startpag']))
			$startpag = (int)$_POST['startpag'];
		elseif(isset($_GET['startpag']) && empty($_POST['aj'])) 
			$startpag = (int)$_GET['startpag'];
		if(!$startpag)
			$startpag = 1;
		elseif($startpag > 1)
			$url_build['startpag'] = $startpag;
		$dat['startpag'] = $startpag;
		$startpag = ($startpag-1)*$pagevis;
	/**************Сортировка**********************/
		$dat['sort'] = '';
		if(isset($_POST['sort']))
			$dat['sort'] = $_POST['sort'];
		elseif (isset($_GET['sort']) && empty($_POST['aj'])) 
			$dat['sort'] = $_GET['sort'];
		if(!empty($dat['sort']))
			$url_build['sort'] = $dat['sort'];
	/**********************************/
		$dat['items'] = $r_m->GetsUBlok($filtr,$startpag, $pagevis, $dat['sort']);
		$dat['pager'] = ($dat['items']->count > $pagevis) ? $r_m->getpager($startpag,$pagevis,$dat['items']->count, '', 'pager') : '';
		$dat['url_build'] = empty($url_build) ? $url : $url.'?'.urldecode(http_build_query($url_build));
		$dat['filtr'] = $filtr;
		unset($filtr,$url_build,$startpag);
		$dat['aj'] = $aj;
		$dat['r_m'] = $r_m;
	/**************************************************/
	$r_m->views($view, $dat);
    if(!empty($aj))
    	die();
}
function mav_task_cat()
{
	$dir = F."pages/{$GLOBALS['adm']}/mav/";
	$url = BASE_URL.$GLOBALS['adm'].'/mav_task/cat';
	$r_m = new Task_model;

	$view = $dir.'task_items_cat.php';
	$dat = array();
	$data = array();
	$aj = isset($_POST['aj']) ? TRUE : FALSE;
	$dat['feed'] = $r_m->form_redirect();
	/***********************up_ins***************************/            
        if(isset($_POST['show_item'])){
            $ar = array();
            $ar['add'] = TRUE;
            $ar['r_m'] = &$r_m;
            if(!empty($_POST['show_item'])){
                $t = $r_m->GetCatByID($_POST['show_item']);
                if(!empty($t)){
                    $ar['add'] = FALSE;
                    $ar = array_merge($ar,$t);
                }
            }
            \view\content_show($dir.'task_items_cat_item.php', $ar);
            die();
        }
        if(isset($_POST['ins_item'])){
            $ar = $_POST;
            if(empty($ar['Title']))
            	$dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, название не может быть пустым!</div>');
            elseif($r_m->InsertCat($ar)){
                $dat['feed'] = '<div class="alert alert-success">Данные успешно обновленны!</div>';                    
                $r_m->form_redirect_send($dat['feed']);
            }
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
        if(isset($_POST['up_item'])){
            $ar = $_POST;
            $ar['Id'] = $_POST['up_item'];
            if($r_m->UpdateCat($ar)){
                $dat['feed'] = '<div class="alert alert-success">Данные успешно обновленны!</div>';                    
                $r_m->form_redirect_send($dat['feed']);
            }
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
        elseif(isset($_POST['DeletItem'])){
            if($r_m->DeletCat($_POST['DeletItem'],TRUE))
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-success">Данные успешно обновленны!</div>');
            else
                $dat['feed'] = $r_m->form_redirect_send('<div class="alert alert-danger">Произошла ошибка, проверьте введенные данные и повторите попытку снова!</div>');
        }
	/************************************************************************/
	/**********************************/
		$dat['items'] = $r_m->GetsCat();
		$dat['r_m'] = $r_m;
	/**************************************************/
	$r_m->views($view, $dat);
    if(!empty($aj))
    	die();
}

function mav_task_complaints(){
    require_once 'task_items_complaints.php';
}
function mav_task_vip(){
    require_once 'task_items_vip.php';
}
