<?php if(!defined('FastCore')){exit('Opss!');}
# Заголовки
$opt = array(
'title' => 'Регистрация',
'description' => 'Регистрируйся и получи наши возможности рекламы, или зарабатывай на просмотре рекламы.');

if(isset($_SESSION['uid'])){ Header('Location: /user/dashboard'); return; }
?>
<div class="section section--content">
		<div class="section__content">
		<form action="" method="POST" class="form form--content">
<?php

# Форма регистрации
if (isset($_POST['reg2'])){

# Фильтрация
$login = $func->FLogin($_POST["login"]);
$email = $func->FMail($_POST["email"]);
$pass = $func->FPass($_POST["pass"]);

# Хешируем пароль
//$pass = password_hash($pass_d, PASSWORD_DEFAULT);

$time = time();

# Источник перехода
if (!empty($_COOKIE['rsite'])) $rsite = $_COOKIE['rsite'];
$host = parse_url($rsite);
$site = $host['host'];

# Кто пригласил
$rid = (isset($_COOKIE["i"])) ? intval($_COOKIE["i"]) : 1;
$referer = $rid == 1 ? null : $db->query('SELECT login FROM db_users WHERE id = ? LIMIT 1',array($rid))->fetchArray();
$referer = $referer['login'];

if($referer == null) {$rid = 1; $referer = "Admin";}

# IP адрес
$ipGet = $func->ipGet();
$ip = $func->ipValid($ipGet);

# Проверка на валидность
if(empty($login)) { $errors[] = 'Ошибка заполнения логин!'; }
if(empty(filter_var($email, FILTER_VALIDATE_EMAIL) !== false)) { $errors[] = 'Ошибка заполнения email!'; }
if(empty($pass)) { $errors[] = 'Ошибка заполнения пароля!'; }

# Проверка на уникальность
$users = $db->query('SELECT * FROM db_users WHERE login = ? OR email = ?',array($login,$email))->fetchArray();
if ($users['login'] == $login){ $errors[] = 'Такой Логин уже существует!'; }
if ($users['email'] == $email){ $errors[] = 'Такой Email уже зарегистрирован!'; }

$ipUser = $db->query('SELECT * FROM db_uips WHERE ip = ?',array($ip))->fetchArray();
if ($ipUser['ip'] == $ip){ $errors[] = 'Регистрация с этого IP ('.$ip.') уже производилась!'; }

# Успешная регистрация
if (empty($errors)) {

	# Создаем пользователя
	$db->query('INSERT INTO db_users (login, email, pass, reg, rid, referer, refsite) VALUES (?,?,?,?,?,?,?)', array($login, $email, $pass, $time, $rid, $referer, $site));
	$lid = $db->LastInsert();

	# Дополнительно
	$db->query('INSERT INTO db_purse (id,time) VALUES (?,?)', array($lid, $time));
	$db->query('INSERT INTO db_uips (id,ip,time) VALUES (?,?,?)', array($lid, $ip, $time));

	# Прибавляем рефоводу +1
	$db->query('UPDATE `db_users` SET `refs` = `refs` + 1 WHERE `id` = '.$rid.'');

	# Пишем в статистику
	$db->query("UPDATE `db_stats` SET `users` = `users` + 1 WHERE `id` = '1'");

/* LogStats начало */
$cDate = date("Ymd",time());
$dateNow = strtotime($cDate." 00:00:00");
$dateEnd = strtotime($cDate." 23:59:59");

$db->query('SELECT * FROM db_logstat WHERE date_add >= '.$dateNow.' AND  date_add <= '.$dateEnd.' ORDER BY id DESC LIMIT 1');
if ($db->numRows() == 0) {
	$db->query('INSERT INTO db_logstat (date_add) VALUES (?)', array($dateNow));
} 
else {
	$db->query('UPDATE db_logstat SET regs = regs + 1 WHERE date_add >= '.$dateNow.''); // +1
}
/* Конец LogStats */

	echo '<div class="alert alert-dangerv"><b>Регистрация прошла успешно!</b><br/>Сейчас Вы попадете на страницу входа.</div></div></div></div></div></div>'; 
	header('Refresh: 3; URL=/login'); return;
	}
else {
	# Вывод ошибок
	echo '<div class="alert alert-dangerv"><i class="fa fa-exclamation-triangle"></i> '.array_shift($errors).'</div>';
	}
}
?>

				<div class="form__logo-wrap">
					<a href="/" class="form__logo">
						<img src="/img/logo.svg" alt="">
					</a>
					<span class="form__tagline"><?=$config->sitename;?> <br>Реклама и заработок</span>
				</div>

				<div class="form__group">
					<input class="form__input" name="login" type="text" minlength="3" placeholder="Введите Логин"required />
				</div>

				<div class="form__group">
					<input class="form__input"  name="email" type="email" placeholder="Введите Email" required />
				</div>

				<div class="form__group">
					<input class="form__input" name="pass" type="password" maxlength="55" minlength="6" placeholder="Введите пароль" required />
				</div>

				
				<button class="form__btn" name="reg2" type="submit">Создать аккаунт</button>

				<span class="form__delimiter"></span>

				

				<span class="form__text form__text--center">Если уже есть аккаунт,<a href="/login">войдите!</a></span>

				<!-- design elements -->
				<span class="block-icon block-icon--purple">
					<i class="ti ti-logout"></i>
				</span>
				<span class="screw screw--big-tr"></span>
				<span class="screw screw--big-bl"></span>
				<span class="screw screw--big-br"></span>
			</form>
			<!-- end form -->
		</div>

		<!-- animation background -->
		<div class="section__canvas section__canvas--full section__canvas--third" id="canvas3"></div>
	</div>