<?php if(!defined('FastCore')){ exit('Oops!');}

/**
 * Маршрутизатор (правила маршрутизации страниц).
 */

$GLOBALS['routes'] = array (
'_404' => '../inc/404.php', // 404
'/' => 'home.php', // Главная
'/i/([0-9]+)?' => '/home.php', // Реф-ссылка
'/viewb/([0-9]+)?' => '/inc/viewb.php', // Iframe
'/view/([0-9]+)?' => '/inc/view.php', // Iframe
'/visit/([0-9]+)?' => '/inc/view_bot.php', // Iframe
'/viewyt/([0-9]+)?' => '/inc/viewyt.php', // Iframe youtube
'/reviews' => 'reviews.php', // отзывы
'/reviews/p/([0-9]+)?' => 'reviews.php',// отзывы
'/contest' => 'contest.php', // Конкурсы
'/stats' => 'stats.php', // Статистика
'/login' => 'login.php', // Вход
'/reg' => 'reg.php', // Регистрация
'/restore' => 'restore.php', // Сброс пароля
'/about' => 'about.php', // О проекте
'/terms' => 'terms.php', // Правила
'/earn' => 'earns.php', // Правила
'/contacts' => 'contacts.php', // Поддержка
'/go/([0-9]+)?' => 'go.php', // Переход по ссылке
'/links' => 'links.php', // Ссылки добавить
'/news' => 'news.php', // Новости
# Аккаунт
'/user/dashboard' => 'dashboard.php', // Профиль
'/user/daily' => 'bonus.php', // Бонусы



'/user/cashpoints' => 'cashpoints.php', //---RICH cashpoints

'/user/aref' => 'aref.php', // Автореферал
'/user/earn' => 'surf/earn.php', // Серфинг
'/user/surf' => 'surf/earn_bot.php', // Серфинг bot
'/user/surf/add' => 'surf/add.php', // Серфинг добавить
'/user/surf/edit' => 'surf/edit.php', // Серфинг редактирование
'/user/surf/links' => 'surf/links.php', // Серфинг кабинет
'/user/vsurf' => 'surfv/surf.php', // Серфинг v
'/user/vsurf/add' => 'surfv/add.php', // Серфинг v добавить
'/user/vsurf/edit' => 'surfv/edit.php', // Серфинг v редактирование
'/user/vsurf/links' => 'surfv/links.php', // Серфинг v кабинет
'/user/moneybox' => 'moneybox.php', // Денежный инвест
'/user/banners' => 'banners.php', // Рекл баннеры
'/banners' => 'banners.php', // Заглушка
'/user/insert/kassify' => 'insert.php', // Пополнить kassify
'/user/insert' => 'insert.php', // Пополнить
'/user/insert/aaio' => 'insert.php', // Пополнить
'/user/insert/azvox' => 'insert.php', // Пополнить azvox
'/user/insert/payeer' => 'insert.php', // Пополнить payeer
'/user/insert/freekassa' => 'insert.php', // Пополнить freekassa
'/user/teaser' => 'teaser.php', // Контекстная реклама
'/go-teaser' => 'go-teaser.php', // контекстная реклама
'/go-teaser/([0-9]+)?' => 'go-teaser.php', // контекстная реклама
'/user/pay' => 'pay.php', // Спобом заказа выплаты
'/user/pay/([^/]+)' => 'pay.php', // Выплата payeer
'/user/tasks' => 'task.php', // Задания от админа
'/user/tasks/show/([0-9]+)?' => 'task.php', // Задания от админа просмотр
'/user/exchange' => 'exchange.php', // Обменник
'/user/refs' => 'referals.php', // Рефералы
'/user/refbuy' => 'refbuy.php', // Реф.биржа
'/user/settings' => 'settings.php', // Настройки
'/user/settings/check/([^/]+)' => 'settings.php', // Активация акка
'/user/activecode' => 'sendcode.php', // Активация аккаунта
'/user/message' => 'message.php', // Рассылка от админа
'/user/message/([0-9]+)?' => 'message.php', // Рассылка от админа просмотр
'/user/success' => 'status_success.php', // Success
'/user/fail' => 'status_fail.php', // Fail
'/user/logout' => 'dashboard.php', // Выход
'/user/links' => 'links.php', // Ссылки добавить
#задания
'/user/task' => 'mav/task.php', // Задания
'/user/rtask' => 'mav/rtask.php', // Задания - реклама
'/user/rtask/reports/([^/]+)' => 'mav/rtask_reports.php', // Задания - отчёты
'/user/task/([^/]+)' => 'mav/task.php', // Задания - карточка
# Админка
'/'.$adm.'' => 'login.php', // Вход
'/'.$adm.'' => 'main.php', // Главная
'/'.$adm.'/' => 'main.php', // Главная слеш
'/'.$adm.'/config' => 'config.php', // Настройки
'/'.$adm.'/users' => 'users.php', // Пользователи
'/'.$adm.'/uips' => 'uips.php', // Пользователи
'/'.$adm.'/users/info/([0-9]+)?' => 'users.php', // Пользователь
'/'.$adm.'/users/p/([0-9]+)?' => 'users.php', // Пользователи страницы
'/'.$adm.'/st/([^/]+)' => 'stats.php', // Статистика
'/'.$adm.'/geo' => 'geo.php', // просмотры и ип
'/'.$adm.'/bots' => 'bots.php', // бот просмотры
'/'.$adm.'/pays' => 'pays.php', // ручные выплаты
'/'.$adm.'/referers' => 'referers.php', // Источники
'/'.$adm.'/referers/all' => 'referers.php', // Источники
'/'.$adm.'/news' => 'news.php', // Новости
'/'.$adm.'/news/add' => 'news.php', // Новости
'/'.$adm.'/news/edit/([0-9]+)?' => 'news.php', // Новости
'/'.$adm.'/contest_ref' => 'contest_refs.php', // Реф-конкурс
'/'.$adm.'/contest_ref/list' => 'contest_refs.php', // Реф-конкурс 
'/'.$adm.'/contest_ref/add' => 'contest_refs.php', // Реф-конкурс 
'/'.$adm.'/contest_inv' => 'contest_inv.php', // Инв-конкурс
'/'.$adm.'/contest_inv/list' => 'contest_inv.php', // Инв-конкурс 
'/'.$adm.'/contest_inv/add' => 'contest_inv.php', // Инв-конкурс 
'/'.$adm.'/pers' => 'pers.php', // Персонажи
'/'.$adm.'/pers/add' => 'pers.php', // Персонажи
'/'.$adm.'/pers/edit/([0-9]+)?' => 'pers.php', // Персонажи
'/' . $adm . '/tasks' => 'tasks.php', // Задания
'/' . $adm . '/tasks/edit/([0-9]+)?' => 'tasks.php', // Задания
'/' . $adm . '/tasks/check/([0-9]+)?' => 'tasks.php', // Задания
'/' . $adm . '/tasks/([^/]+)' => 'tasks.php', // Задания
'/'.$adm.'/serf' => 'serf.php', // Серфинг
'/'.$adm.'/link' => 'link.php', // s
'/'.$adm.'/sender' => 'sender.php', // Рассылка  
'/'.$adm.'/delsender' => 'delsender.php', // Рассылка удаления
'/'.$adm.'/mav_task' => '/mav/task_start.php', // Админка
'/'.$adm.'/mav_task/([^/]+)' => '/mav/task_start.php', // Админка
'/'.$adm.'/feik' => 'feik.php', // Фейки
);
?>